
html {
  width: 100%;
  height: 100%;
}

body {
  background-image: radial-gradient(circle farthest-corner at center, #004e92 0%, #000428 100%);
}

#frame {
  position: fixed;

  display: flex;
  flex-direction: column;
  justify-content: center; 

  left: calc(50vw - 35vmin);
  top: calc(50vh - 35vmin);
  margin: 0;
  padding: 0;
  width: 70vmin;
  height: 70vmin;
 /* border: 1px solid white; */
}



#center {
  position: relative;
  margin: 0; padding: 0;

  align-self: center;
  width: 100%; height: 100%;
  overflow: hidden;
}

#content {
  position: absolute;
  margin: 0; padding: 0;

  display: flex;
  flex-direction: column;
  justify-content: center; 

  width: 100%; height: auto;
  opacity: 0;
  z-index: 1;
/*
  transition-property: top;
  transition-duration: 1s;
  transition-delay: 0s;
*/
}

#content.show {
  opacity: 1;
}

#content > .page {
  position: relative;
  margin: 0; padding: 0;
  box-sizing: border-box;
  align-self: center;
  width: 70vmin;
  height: 70vmin;
  /* border: 1px dotted #90ff90; */
  font-family: 'IM Fell English SC', serif;
  color: rgba(255,255,255,0.8);
  font-size: 22px;
}


#content img#lilo-raccoon {
  position: relative;
  align-self: center;
  width: 0%;
  height: auto;
}


img#background {
  position: absolute;
  left: 50%; top: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
}

img#background.show {
  opacity: 1;
  transform: translate(-50%, -60%) scale(1.2);

  animation-name: show, zoom;
  animation-duration: 1s, 50s;
  animation-timing-function: linear, linear;
  animation-iteration-count: 1, 1;
}

@keyframes show {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes zoom {
  0% {
    transform: translate(-50%, -50%) scale(0.8);
  }
  100% {
    transform: translate(-50%, -60%) scale(1.2);
  }
}

